---------------------------------------------------------------------------------------------------
-- Addon Manager Locales
---------------------------------------------------------------------------------------------------
common.RegisterEventHandler(
	function( event )
		local locales = {
			rus = {
				[ "Addon Manager" ] = " ",
				[ "Cancel" ] = "",
				[ "Comment" ] = "",
				[ "Default" ] = "",
				[ "Load All" ] = ". ",
				[ "Load Selected" ] = ". .",
				[ "Lock" ] = ".",
				[ "Hide All" ] = " ",
				[ "Memory Usage" ] = ". .",
				[ "Name" ] = "",
				[ "Reset" ] = "",
				[ "Save" ] = "",
				[ "Show All" ] = " ",
				[ "Status" ] = ".",		
				[ "Unload All" ] = ". ",
				[ "Unload Selected" ] = ". .",
				[ "User" ] = ""
			},
			eng = {
				[ "Addon Manager" ] = "Addon Manager",
				[ "Cancel" ] = "Cancel",
				[ "Comment" ] = "Comment",
				[ "Default" ] = "Built-In Addons",
				[ "Load All" ] = "Load All",
				[ "Load Selected" ] = "Load Selected",
				[ "Lock" ] = "Lock",
				[ "Hide All" ] = "Hide All",
				[ "Memory Usage" ] = "Memory",
				[ "Name" ] = "Name",
				[ "Reset" ] = "Reset",
				[ "Save" ] = "Save",
				[ "Show All" ] = "Show All",
				[ "Status" ] = "State",		
				[ "Unload All" ] = "Unload All",
				[ "Unload Selected" ] = "Unload Selected",
				[ "User" ] = "User Addons"
			},
			ger = {
				[ "Addon Manager" ] = "Addon-Manager",
				[ "Cancel" ] = "Abbrechen",
				[ "Comment" ] = "Kommentar",
				[ "Default" ] = "System-Addons",
				[ "Load All" ] = "Alle aktivieren",
				[ "Load Selected" ] = "Markierte aktivieren",
				[ "Lock" ] = "DnD",
				[ "Hide All" ] = "Alle verstecken",
				[ "Memory Usage" ] = "Speicher",
				[ "Name" ] = "Name",
				[ "Reset" ] = "Zurucksetzen",
				[ "Save" ] = "Speichern",
				[ "Show All" ] = "Alle anzeigen",
				[ "Status" ] = "Status",		
				[ "Unload All" ] = "Alle deaktivieren",
				[ "Unload Selected" ] = "Markierte deaktiv.",
				[ "User" ] = "Eigene Addons"
			},
			fra = {
				[ "Addon Manager" ] = "Addon Manager",
				[ "Cancel" ] = "Annuler",
				[ "Comment" ] = "Commentaire",
				[ "Default" ] = "Defaut",
				[ "Load All" ] = "Tout Charger",
				[ "Load Selected" ] = "Charger",
				[ "Lock" ] = "Bloquer",
				[ "Hide All" ] = "Tout Cacher",
				[ "Memory Usage" ] = "Mmoire",
				[ "Name" ] = "Nom",
				[ "Reset" ] = "Effacer",
				[ "Save" ] = "Sauvegarder",
				[ "Show All" ] = "Tout Montrer",
				--[ "Show Default" ] = "",
				[ "Status" ] = "Status",		
				[ "Unload All" ] = "Tout Dcharger",
				[ "Unload Selected" ] = "Dcharger",
				[ "User" ] = "Addons Perso"
			}
		}
		--locales.ger = locales.eng
		--locales.fra = locales.eng
---------------------------------------------------------------------------------------------------
		-- AO game Localization detection by SLA. Version 2011-02-10.
		local function GetGameLocalization()
			local B = cartographer.GetMapBlocks()
			local T = { rus="\203\232\227\224", eng="Holy Land", ger="Heiliges Land",
			fra="Terre Sacr\233e", br="Terra Sagrada", jpn="\131\74\131\106\131\65" }
			for b in B do for l,t in T do
			if userMods.FromWString( cartographer.GetMapBlockInfo(B [b] ).name ) == t
			then return l end; end; end; return "eng"
		end
---------------------------------------------------------------------------------------------------
		userMods.SendEvent( "SCRIPT_LSTRINGS", locales[ GetGameLocalization() ] )
	end,
	"SCRIPT_GET_LSTRINGS"
)